Agent Knowledge Bases
Update document
Update a document’s title or content. Updating content reprocesses the document for RAG.
PATCH
/
v1
/
senders
/
{senderId}
/
agent
/
knowledge-bases
/
{kbId}
/
documents
/
{docId}
Update document
curl --request PATCH \
--url https://api.zavu.dev/v1/senders/{senderId}/agent/knowledge-bases/{kbId}/documents/{docId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"content": "<string>"
}
'import requests
url = "https://api.zavu.dev/v1/senders/{senderId}/agent/knowledge-bases/{kbId}/documents/{docId}"
payload = {
"title": "<string>",
"content": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({title: '<string>', content: '<string>'})
};
fetch('https://api.zavu.dev/v1/senders/{senderId}/agent/knowledge-bases/{kbId}/documents/{docId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"document": {
"id": "<string>",
"knowledgeBaseId": "<string>",
"title": "<string>",
"contentLength": 123,
"chunkCount": 123,
"isProcessed": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"code": "invalid_request",
"message": "Phone number is invalid",
"details": {}
}{
"code": "invalid_request",
"message": "Phone number is invalid",
"details": {}
}{
"code": "invalid_request",
"message": "Phone number is invalid",
"details": {}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Document updated.
Show child attributes
Show child attributes
⌘I
Update document
